# List templates

> List all templates on your workspace, most recently updated first.

Source: https://sndr.sh/docs/api/templates/list-templates

`GET https://api.sndr.sh/v1/templates`

List all templates on your workspace, most recently updated first. Not paginated.

Scope: `read`

**Request**

```bash
curl 'https://api.sndr.sh/v1/templates' \
  -H "Authorization: Bearer $SNDR_API_KEY"
```

**Response** (200)

```json
{
  "data": [
    {
      "id":              "tpl_c19e5d34-82a",
      "organization_id": "org_8d41c7a2-3f6",
      "name":            "Order confirmation",
      "subject":         "Your order #{{ order_id }} is confirmed",
      "html":            "<h1>Hi {{ first_name }},</h1><p>Order #{{ order_id }} confirmed.</p>",
      "text":            "Hi {{ first_name }}, order #{{ order_id }} confirmed.",
      "version":         3,
      "created_at":      "2026-02-10T14:00:00Z",
      "updated_at":      "2026-05-01T09:00:00Z"
    }
  ]
}
```

**Errors**

- `unauthenticated` (401): Missing or invalid API key.
- `insufficient_scope` (403): The API key is missing the read scope.
